/* HEAPSORT INDEXING */
#include <stdio.h>

void
indexx(int n, double ra[], int indx[])
{
  /* if n --> from 1 -- n */
  int i, j, l, ir, indxt;
  double q;

  /* if n == 1 -> there is nothing to sort, just return */
  if ( n < 2 ) {
    /* indx[0] = 0; */
    indx[1] = 1;
    return;
  }

  for(j = 1; j <= n; j++)
    indx[j] = j;
  l = n / 2 + 1;
  ir = n;
  for(;;) {
    if(l > 1) {
      indxt = indx[--l];
      q = ra[indxt];
    } else {
      indxt = indx[ir];
      q = ra[indxt];
      indx[ir] = indx[1];
      if (--ir == 1) {
	indx[1] = indxt;
	break;
      }
    }
    i = l;
    j = l + l;
    while (j <= ir) {
      if (j <= ir) {
	if( j < ir && ra[indx[j]] < ra[indx[j + 1]] ) j++;
	if( q < ra[indx[j]] ) {
            indx[i] = indx[j];
            i = j;
            j = j + j;
	 } else j = ir + 1;
      }
    }
    indx[i] = indxt;
  }
}


/* --- float version of function --- */
void
indexxf(int n, float ra[], int indx[])
{
  /* if n --> from 1 -- n */
  int i, j, l, ir, indxt;
  float q;

  /* if n == 1 -> there is nothing to sort, just return */
  if ( n < 2 ) {
    /* indx[0] = 0; */
    indx[1] = 1;
    return;
  }

  for(j = 1; j <= n; j++)
    indx[j] = j;
  l = n / 2 + 1;
  ir = n;
  for(;;) {
    if(l > 1) {
      indxt = indx[--l];
      q = ra[indxt];
    } else {
      indxt = indx[ir];
      q = ra[indxt];
      indx[ir] = indx[1];
      if (--ir == 1) {
	indx[1] = indxt;
	break;
      }
    }
    i = l;
    j = l + l;
    while (j <= ir) {
      if (j <= ir) {
	if( j < ir && ra[indx[j]] < ra[indx[j + 1]] ) j++;
	if( q < ra[indx[j]] ) {
            indx[i] = indx[j];
            i = j;
            j = j + j;
	 } else j = ir + 1;
      }
    }
    indx[i] = indxt;
  }
}
