/*
 
 *****************************************************************************
 * Author:                                                                   *
 * ------                                                                    *
 *  Anton Kokalj                                  Email: Tone.Kokalj@ijs.si  *
 *  Department of Physical and Organic Chemistry  Phone: x 386 1 477 3523    *
 *  Jozef Stefan Institute                          Fax: x 386 1 477 3811    *
 *  Jamova 39, SI-1000 Ljubljana                                             *
 *  SLOVENIA                                                                 *
 *                                                                           *
 * Source: $XCRYSDEN_TOPDIR/C/xcTclsh.c
 * ------                                                                    *
 * Copyright (c) 1996-2003 by Anton Kokalj                                   *
 *****************************************************************************

*/

#include <tcl.h>

int main(int argc, char *argv[])  
{
  Tcl_Main(argc, argv, Tcl_AppInit);
  exit(0);
}


/*
 * Tcl_AppInit is called from Tcl_Main
 * after the Tcl interpreter has been created,
 * and before the script file
 * or interactive command loop is entered.
 */
int Tcl_AppInit(Tcl_Interp *interp) {
  /*
   * Initialize packages
   * Tcl_Init sets up the Tcl library facility.
   */
  if (Tcl_Init(interp) == TCL_ERROR) {
    return TCL_ERROR;
  }
  /* HERE:
   * Define startup filename if any. This file is read in
   * case the program is run interactively.
   */
  
  return TCL_OK;
}
