#!/bin/sh
#############################################################################
# Author:                                                                   #
# ------                                                                    #
#  Anton Kokalj                                  Email: Tone.Kokalj@ijs.si  #
#  Department of Physical and Organic Chemistry  Phone: x 386 1 477 3523    #
#  Jozef Stefan Institute                          Fax: x 386 1 477 3811    #
#  Jamova 39, SI-1000 Ljubljana                                             #
#  SLOVENIA                                                                 #
#                                                                           #
# Source: $XCRYSDEN_TOPDIR/scripts/pwGetNC.sh
# ------                                                                    #
# Copyright (c) 1996-2003 by Anton Kokalj                                   #
#############################################################################

#
# Purpose: creates a "nuclei.charges" file
#
# Usage:   pwGetNC.sh  output|input pw-file
#

#######################################
if [ "$XCRYSDEN_TOPDIR" != "" ]; then
    . $XCRYSDEN_TOPDIR/scripts/pwLib.sh
else
    . pwLib.sh
fi
#######################################

if [ $# -ne 2 ]; then
  pwError "Usage:  pwGetNC.sh  output|input pw-file" 1
fi

input=1
if [ "$1" = "output" ]; then
    input=0
fi

#
# check if it is really PW-INPUT file
#
if [ \( "`grep '&input' $2`" == "" \) -a \( $input -eq 1 \) ]; then
    pwError "File \"$2\" is not a PW-INPUT file !!!" 1
fi

#
# check if it is really PW-OUTPUT file
#
if [ \( "`grep 'Program PWSCF' $2`" == "" \) -a \( $input -eq 0 \) ]; then
    pwError "File \"$2\" is not a PW-OUTPUT file !!!" 1
fi
  
pwNucleiCharges $2 /dev/null
exit 0